
Redmine - Defect #14826

 Project permissions not respected in Fix/Reference commit

2013-09-03 10:37 - Robert Kania

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.2

Description

When the setting "Repositories / Allow issues of all the other projects to be referenced and fixed" is enabled and someone commits

with log message containing Fixing or Referencing keywords, then all issues, including those in projects where the commit author

has no access, are closed / referenced.

Expected behavior:

Only issues in projects where the commit author has rights to Edit issues and is allowed to change issue status should be updated.

Related issues:

Is duplicate of Redmine - Defect #13762: SCM auto status change bypassses rol... Confirmed

History

#1 - 2013-09-17 03:16 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #13762.

#2 - 2013-09-17 03:16 - Toshi MARUYAMA

- Is duplicate of Defect #13762: SCM auto status change bypassses roles and permissions added
